package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dba;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.BopdecSelectVo;
import com.brilliance.isc.vo.bop.DbaResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbaMapper {
    int insert(Dba record);

    int insertSelective(Dba record);

    int updateByPrimaryKeySelective(Dba record);

    int updateByPrimaryKey(Dba record);

    int deleteByPrimaryKey(Dba record);

    int deleteByIds(Collection<Object> collection);

    Dba selectByPrimaryKey(Dba record);

    Dba selectByBuscode(@Param("buscode") String buscode);

    List<BopdecSelectVo> selectByCountryAndOppuser(@Param("country") String country, @Param("oppuser") String oppuser);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dba> dyncRead(Map<String,Object> dyncMap);

    List<Dba> selectByConditions(Dba dba);

    List<Dba> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @param basInrs
     * @return
     */
    List<DbaResultVo> selectByBasInrs(@Param("basInrs")List<String> basInrs);

}
